Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07568 Crash/Freeze Critical (emulation) Always Feb 18, 2020, 05:01 Apr 15, 2022, 06:06
Tester Hydreigon View Status Public Platform MAME (Official Binary)
Assigned To tedgreen Resolution Fixed OS
Status [?] Resolved Driver seattle.cpp
Version 0.218 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit f95883a Github Pull Request # #9559
Summary 07568: hyprdriv: Game randomly soft freezes
Description Video will stop but music will keep playing. It's possible to soft reset (default F3).
Steps To Reproduce Run the game.
Additional Information As of 9/5/2021, I can confirm the game does not lock up when running without the DRC.

Another issue possibly related to this would be the video would skip every few seconds. During that time, the video temporarily stops rendering for 10-12 frames skipping around 5-6 rendered frames. This, strangely, happens when running without the DRC. This doesn't happen on NFL Blitz despite running on the same hardware.
Github Commit
Flags
Regression Version
Affected Sets / Systems hyprdriv
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.17403
Tafoid
Administrator
Feb 18, 2020, 14:04
Does this happen only while watching demonstration or during game?
Any more info?
User avatar
No.17404
Hydreigon
Tester
Feb 18, 2020, 14:22
The video stopping happens anywhere but ingame. It's best to let it run in attract for a while until the video stops. The jittering happens all the time.
User avatar
No.19229
Hydreigon
Tester
Sep 5, 2021, 16:40
So I decided on returning to this issue to test this game with the DRC disabled. It may as well be similar to 07823 because both don't happen that way. At the same time, this isn't looking to be an easy fix.

With this issue and the frame issue mentioned, this game needs a good pcb recording. I can't help but think Hyperdrive was poorly optimized because of this as well. If anyone can find abnormalities in the game code, that would be excellent.
User avatar
No.19233
Hydreigon
Tester
Sep 7, 2021, 01:29
Could this also be related to 06512?